exec("~/MAN/solinf.sci");
exec("~/MAN/solsup.sci");

function [L, U]=FactLU(A)
    [l, c] = size(A);
    L = eye(l, l);
    U = zeros(l, l);
    for i = 1:l-1
        for j = i:l
            U(i, j) = A(i, j) - L(i, 1:i-1) * U(1:i-1, j);
        end
        for j = i+1:l
            L(j, i) = ( A(j, i) - L(j, 1:i-1) * U(1:i-1, i) ) / U(i ,i);
        end
    end
    U(l, l) = A(l, l) - L(l, 1:l-1) * U(1:l-1, l);
endfunction

function [x]=ResolutionLU(A, b)
    [L, U] = FactLU(A);
    y = solinf(L, b);
    x = solsup(U, y);
endfunction
