exec("~/MAN/solsup.sci");

function [At, bt]=trigGauss(A, b)
    [l, c] = size(A);
    for k = 1:l-1
        if (abs(A(k, k)) < 0.0000001) then
            disp("Erreur lors du calcul (pivot nul).");
        else
            for i = k+1:l
                c = A(i, k) / A(k, k);
                b(i) = b(i) - c * b(k);
                A(i, k) = 0;
                for j = k+1:l
                    A(i, j) = A(i, j) - c * A(k, j);
                end
            end
        end
    end
    At = A;
    bt = b;
endfunction

function [x]=ResolutionGauss(A, b)
    [At, bt] = trigGauss(A, b);
    x = solsup(At, bt);
endfunction
